Bug 44537 - packaging problem - missing files
packaging problem - missing files
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-13 20:24 EDT by Michal Jaegermann
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-14 10:48:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-06-13 20:24:40 EDT
Description of Problem:

There seem to be errors in packaging in that that there are files
which show on rpm listings but 'rpm --verify' does not find them
on a disk and also 'rpm2cpio <package> | cpio -t' does not detect
their presence.

Instances I found are  

  /usr/share/ssl/certs/stunnel.pem    from stunnel-3.13-3
  /var/log/mysqld.log                 from mysql-server-3.23.38-1
  /var/cache/ssl_gcache_data.dir      from mod_ssl-2.8.1-5
  /var/cache/ssl_gcache_data.pag      from mod_ssl-2.8.1-5
  /var/cache/ssl_gcache_data.sem      from mod_ssl-2.8.1-5

At least stunnel.pem is of a non-zero length and ownership and/or
permits is "not usual" in all cases.

   Michal
   michal@harddata.com
Comment 1 Jeff Johnson 2001-06-14 00:31:26 EDT
The stunnel file is marked %config(missingok,noreplace) :

    bash$ rpm -q --qf '[%{filenames} %{fileflags:fflags}\n]' stunnel
    ...
    /usr/share/ssl/certs/stunnel.pem cmng
Comment 2 Michal Jaegermann 2001-06-14 10:35:13 EDT
Does this make it ok that 'rpm2cpio' cannot find it even if it is listed
by 'rpm -qvlp ...'?  In any case 'rpm --verify stunnel' is concerned.
Comment 3 Jeff Johnson 2001-06-14 10:48:22 EDT
I need to check to be certain, but files marked %config(missingok,noreplace)
may very well not be part of a package payload. I'll check by rebuilding with
rpm-3.0.5 ...
Comment 4 Jeff Johnson 2001-06-14 17:36:51 EDT
I'm blind :-(

The stunnel file is marked as follows

	%ghost %config(noreplace,missingok) %{_datadir}/ssl/certs/stunnel.pem

A file marked with %ghost is resident in metadata only, not in the payload, but
will have all the usual file attributes when queried. On --verify, rpm has never
handled %ghost gracefully, will report false positive erros (fixed recently in
rpm-4.0.3)

Note You need to log in before you can comment on or make changes to this bug.